from pydantic import BaseModel
from typing import Optional
import datetime


class User(BaseModel):
    userName: str
    userPassword: str
    changPwdTime: Optional[datetime.datetime] = None
    isAdmin: Optional[bool] = None
    isEnable: Optional[bool] = True
    updateTime: Optional[datetime.datetime] = None
    token: Optional[str] = None
